メインコンテンツへスキップ
GET
/
v3beta1
/
enterprise
/
snapshot-setup
/
blueprints
/
{blueprint_id}
/
files
Enterpriseブループリントファイルを一覧表示する
curl --request GET \
  --url https://api.devin.ai/v3beta1/enterprise/snapshot-setup/blueprints/{blueprint_id}/files \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "blueprint_id": "<string>",
      "created_at": 123,
      "env_var_name": "<string>",
      "file_id": "<string>",
      "name": "<string>",
      "size_bytes": 123,
      "updated_at": 123
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.devin.ai/llms.txt

Use this file to discover all available pages before exploring further.

権限

Enterprise レベルで ManageAccountSnapshots 権限が付与されたサービスユーザーが必要です。

承認

Authorization
string
header
必須

サービスユーザーの認証情報(接頭辞: cog_)

パスパラメータ

blueprint_id
string
必須

レスポンス

成功レスポンス

ブループリントファイルのlistエンベロープ。

data
BlueprintFile · object[]
必須